package com.bonus.canteen.core.supply.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;
import java.time.LocalDateTime;

@ApiModel
public class DrpOrderGoodsPayListVO {
   @ApiModelProperty("付款id")
   private Long payId;
   @ApiModelProperty("采购单号")
   private String orderGoodsId;
   @ApiModelProperty("付款金额")
   private Long payAmount;
   @ApiModelProperty("要求付款日期")
   private LocalDate requirePayDate;
   @ApiModelProperty("收款银行")
   private String collectBank;
   @ApiModelProperty("收款账号名称")
   private String collectAccountName;
   @ApiModelProperty("收款账号")
   private String collectAccount;
   @ApiModelProperty("申请备注")
   private String applyRemark;
   @ApiModelProperty("付款时间")
   private LocalDateTime payTime;
   @ApiModelProperty("付款银行")
   private String payBank;
   @ApiModelProperty("付款账户名称")
   private String payAccountName;
   @ApiModelProperty("付款账户")
   private String payAccount;
   @ApiModelProperty("付款备注")
   private String payRemark;
   @ApiModelProperty("类型(1申请，2付款)")
   private Integer type;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public Long getPayId() {
      return this.payId;
   }

   public String getOrderGoodsId() {
      return this.orderGoodsId;
   }

   public Long getPayAmount() {
      return this.payAmount;
   }

   public LocalDate getRequirePayDate() {
      return this.requirePayDate;
   }

   public String getCollectBank() {
      return this.collectBank;
   }

   public String getCollectAccountName() {
      return this.collectAccountName;
   }

   public String getCollectAccount() {
      return this.collectAccount;
   }

   public String getApplyRemark() {
      return this.applyRemark;
   }

   public LocalDateTime getPayTime() {
      return this.payTime;
   }

   public String getPayBank() {
      return this.payBank;
   }

   public String getPayAccountName() {
      return this.payAccountName;
   }

   public String getPayAccount() {
      return this.payAccount;
   }

   public String getPayRemark() {
      return this.payRemark;
   }

   public Integer getType() {
      return this.type;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public DrpOrderGoodsPayListVO setPayId(final Long payId) {
      this.payId = payId;
      return this;
   }

   public DrpOrderGoodsPayListVO setOrderGoodsId(final String orderGoodsId) {
      this.orderGoodsId = orderGoodsId;
      return this;
   }

   public DrpOrderGoodsPayListVO setPayAmount(final Long payAmount) {
      this.payAmount = payAmount;
      return this;
   }

   public DrpOrderGoodsPayListVO setRequirePayDate(final LocalDate requirePayDate) {
      this.requirePayDate = requirePayDate;
      return this;
   }

   public DrpOrderGoodsPayListVO setCollectBank(final String collectBank) {
      this.collectBank = collectBank;
      return this;
   }

   public DrpOrderGoodsPayListVO setCollectAccountName(final String collectAccountName) {
      this.collectAccountName = collectAccountName;
      return this;
   }

   public DrpOrderGoodsPayListVO setCollectAccount(final String collectAccount) {
      this.collectAccount = collectAccount;
      return this;
   }

   public DrpOrderGoodsPayListVO setApplyRemark(final String applyRemark) {
      this.applyRemark = applyRemark;
      return this;
   }

   public DrpOrderGoodsPayListVO setPayTime(final LocalDateTime payTime) {
      this.payTime = payTime;
      return this;
   }

   public DrpOrderGoodsPayListVO setPayBank(final String payBank) {
      this.payBank = payBank;
      return this;
   }

   public DrpOrderGoodsPayListVO setPayAccountName(final String payAccountName) {
      this.payAccountName = payAccountName;
      return this;
   }

   public DrpOrderGoodsPayListVO setPayAccount(final String payAccount) {
      this.payAccount = payAccount;
      return this;
   }

   public DrpOrderGoodsPayListVO setPayRemark(final String payRemark) {
      this.payRemark = payRemark;
      return this;
   }

   public DrpOrderGoodsPayListVO setType(final Integer type) {
      this.type = type;
      return this;
   }

   public DrpOrderGoodsPayListVO setCrby(final String crby) {
      this.crby = crby;
      return this;
   }

   public DrpOrderGoodsPayListVO setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
      return this;
   }

   public DrpOrderGoodsPayListVO setUpby(final String upby) {
      this.upby = upby;
      return this;
   }

   public DrpOrderGoodsPayListVO setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
      return this;
   }
   public String toString() {
      Long var10000 = this.getPayId();
      return "DrpOrderGoodsPayListVO(payId=" + var10000 + ", orderGoodsId=" + this.getOrderGoodsId() + ", payAmount=" + this.getPayAmount() + ", requirePayDate=" + String.valueOf(this.getRequirePayDate()) + ", collectBank=" + this.getCollectBank() + ", collectAccountName=" + this.getCollectAccountName() + ", collectAccount=" + this.getCollectAccount() + ", applyRemark=" + this.getApplyRemark() + ", payTime=" + String.valueOf(this.getPayTime()) + ", payBank=" + this.getPayBank() + ", payAccountName=" + this.getPayAccountName() + ", payAccount=" + this.getPayAccount() + ", payRemark=" + this.getPayRemark() + ", type=" + this.getType() + ", crby=" + this.getCrby() + ", crtime=" + String.valueOf(this.getCrtime()) + ", upby=" + this.getUpby() + ", uptime=" + String.valueOf(this.getUptime()) + ")";
   }
}
